POST
/user/secrets/add-external-store
const url = 'https://example.com/user/secrets/add-external-store';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","type":"aws","name":"example","is_writable":false,"make_default":false,"options":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/secrets/add-external-store \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "type": "aws", "name": "example", "is_writable": false, "make_default": false, "options": { "additionalProperty": "example" } }'Add a new secrets store
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
AddExternalStoreResponse
object
store_id
required
Store Id
string
Example generated
{ "store_id": "example"}{"detail": "Invalid API Key"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}